com.pixelmed.anatproc

## Class ProjectionXRayAnatomy

- java.lang.Object
- - com.pixelmed.anatproc.ProjectionXRayAnatomy

-     public class ProjectionXRayAnatomy
      extends java.lang.Object

  This class encapsulates information pertaining to anatomy of projection x-ray images.

  Utility methods provide for the detection of anatomy from various header attributes regardless of whether these are formal codes, code strings or free text comments.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static DisplayableAnatomicConcept[]` | `anatomicConceptEntries`
    `protected static DictionaryOfConcepts` | `anatomyConcepts`
    `protected static java.lang.String[]` | `badAnatomyWords`
    `protected static java.lang.String[]` | `badLateralityOrViewOrAnatomyPhraseTriggers`
    `protected static java.lang.String[]` | `badLateralityWords`
    `protected static java.lang.String[]` | `badViewWords`
    `protected static DisplayableLateralityConcept[]` | `lateralityConceptEntries`
    `protected static DictionaryOfConcepts` | `lateralityConcepts`
    `protected static DisplayableViewConcept[]` | `viewPositionConceptEntries`
    `protected static DictionaryOfConcepts` | `viewPositionConcepts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectionXRayAnatomy()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DisplayableConcept` | `findAmongstGeneralAttributes(AttributeList list, DictionaryOfConcepts concepts, java.lang.String[] badPhraseTriggers)`
    `static DisplayableAnatomicConcept` | `findAnatomicConcept(AttributeList list)`
    `static DisplayableLateralityConcept` | `findLaterality(AttributeList list, DisplayableAnatomicConcept anatomy)`
    `static DisplayableViewConcept` | `findView(AttributeList list)`
    `static DictionaryOfConcepts` | `getAnatomyConcepts()`
    `static DictionaryOfConcepts` | `getLateralityConcepts()`
    `static void` | `main(java.lang.String[] arg)` Read the DICOM input file and extract anatomical information.
    `protected static java.lang.String[]` | `newStringArray(java.lang.String... values)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### badLateralityOrViewOrAnatomyPhraseTriggers

          protected static java.lang.String[] badLateralityOrViewOrAnatomyPhraseTriggers

    - #### badLateralityWords

          protected static java.lang.String[] badLateralityWords

    - #### lateralityConceptEntries

          protected static DisplayableLateralityConcept[] lateralityConceptEntries

    - #### lateralityConcepts

          protected static DictionaryOfConcepts lateralityConcepts

    - #### badViewWords

          protected static java.lang.String[] badViewWords

    - #### viewPositionConceptEntries

          protected static DisplayableViewConcept[] viewPositionConceptEntries

    - #### viewPositionConcepts

          protected static DictionaryOfConcepts viewPositionConcepts

    - #### badAnatomyWords

          protected static java.lang.String[] badAnatomyWords

    - #### anatomicConceptEntries

          protected static DisplayableAnatomicConcept[] anatomicConceptEntries

    - #### anatomyConcepts

          protected static DictionaryOfConcepts anatomyConcepts

  - ### Constructor Detail

    - #### ProjectionXRayAnatomy

          public ProjectionXRayAnatomy()

  - ### Method Detail

    - #### newStringArray

          protected static java.lang.String[] newStringArray(java.lang.String... values)

    - #### getLateralityConcepts

          public static DictionaryOfConcepts getLateralityConcepts()

    - #### getAnatomyConcepts

          public static DictionaryOfConcepts getAnatomyConcepts()

    - #### findAnatomicConcept

          public static DisplayableAnatomicConcept findAnatomicConcept(AttributeList list)

    - #### findView

          public static DisplayableViewConcept findView(AttributeList list)

    - #### findLaterality

          public static DisplayableLateralityConcept findLaterality(AttributeList list,
                                                                    DisplayableAnatomicConcept anatomy)

    - #### findAmongstGeneralAttributes

          public static DisplayableConcept findAmongstGeneralAttributes(AttributeList list,
                                                                        DictionaryOfConcepts concepts,
                                                                        java.lang.String[] badPhraseTriggers)

    - #### main

          public static void main(java.lang.String[] arg)

      Read the DICOM input file and extract anatomical information.

      Parameters:
        `arg` - array of one string, the filename to read